function validate_login()
{
	$('.err').html('');
	$('.error').html('');
	if($('#username').val()=='')
	{
		$('#username').siblings('.err').html('Enter Username');
		$('#username').focus();
		return false;
	}
	if($('#password').val()=='')
	{
		$('#password').siblings('.err').html('Enter Password');
		$('#password').focus();
		return false;
	}
	return true;
}

function validate_change_password()
{
	$('.err').html('');
	$('.error').html('');
	if($('#oldpassword').val()=='')
	{
		$('#oldpassword').siblings('.err').html('Enter Old Password');
		$('#oldpassword').focus();
		return false;
	}
	if($('#newpassword').val()=='')
	{
		$('#newpassword').siblings('.err').html('Enter New Password');
		$('#newpassword').focus();
		return false;
	}
	if($('#cnfpassword').val()=='')
	{
		$('#cnfpassword').siblings('.err').html('Confirm Your Password');
		$('#cnfpassword').focus();
		return false;
	}
	if($('#cnfpassword').val()!=$('#newpassword').val())
	{
		$('#cnfpassword').siblings('.err').html('Your Password and Confirm Password Not Matching');
		$('#cnfpassword').val('');
		$('#cnfpassword').focus();
		return false;
	}
	return true;
}

function hide_tit()
{
	if($('#gtitle').val()!='')
	{
		$('#title').val('');
		$('.tit').hide();
	}
	else
	{
		$('.tit').show();
	}
}
function validate_gallery()
{
	$('.err').html('');
	$('.error').html('');

	if($('#gtitle').val()=='' && $('#title').val()=='')
	{
		$('#title').siblings('.err').html('Enter Gallery/Album Title');
		$('#title').focus();
		return false;
	}
	else if($('#mid')=='')
	{
		var chk=0;
		for(i=1;i<=$('#n').val();i++)
		{
			if($('#pimage'+i).val()!='')
			chk=1;
		}
		if(chk==0)
		{
			$('#pimage1').siblings('.err').html('Browse Atleast One Image');
			$('#pimage1').focus();
			return false;
		}
	}
	$('#subm').val(1)
	return true;
}

function validate_img_delete(id,gid,page)
{
	if(confirm("Are You Sure to Delete This Image?"))
	{
		alert(page+"?did="+id+"gid="+gid);
		location.href=page+"?did="+id+"&gid="+gid;
	}
	else
	{
		return false;
	}
}

function get_dis(mnd,pid)
{
	if($('#st_id').val()=='')
	{
		$('#st_id').html('');
		return false;
	}
	var data="st=dis&state="+mnd;
	//alert(data);
	jQuery.ajax({
			//url: "../ajax1.php",
			url: 'include/ajax1.php',
			type: "POST",
			cache: false,
			data: data,
			success: function (res) {
				//alert(res);
				var res1=res.split('~');
				html='<option value="">Select Dt</option>';
				for(i=1;i<res1.length;i++)
				{
					var ress=res1[i].split('=');
					html+="<option value="+ress[0]+">"+ress[1]+"</option>";
				}
				$('#dtid').html(html);
				//$('select').niceSelect('update');
				$('#dtid').val(pid);
				//get_villages('<?php //echo $vill; ?>');
			}
		});
} 

function get_mandal(dt_id,pid)
{
	if($('#dtid').val()=='')
	{
		$('#dtid').html('');
		return false;
	}
	var data="st=mandal&dt="+dt_id;
	//alert(data);
	jQuery.ajax({
			//url: "../ajax1.php",
			url: 'include/ajax1.php',
			type: "POST",
			cache: false,
			data: data,
			success: function (res) {
				//alert(res);
				var res1=res.split('~');
				html='<option value="">Select Mandal</option>';
				for(i=1;i<res1.length;i++)
				{
					var ress=res1[i].split('=');
					html+="<option value="+ress[0]+">"+ress[1]+"</option>";
				}
				$('#mandal_id').html(html);
				//$('select').niceSelect('update');
				$('#mandal_id').val(pid);
				//get_villages('<?php //echo $vill; ?>');
			}
		});
}

function get_village(mnd,pid)
{
	if($('#mandal_id').val()=='')
	{
		$('#mandal_id').html('');
		return false;
	}
	var data="st=village&mi="+mnd;
	//alert(data);
	jQuery.ajax({
			//url: "../ajax1.php",
			url: 'include/ajax1.php',
			type: "POST",
			cache: false,
			data: data,
			success: function (res) {
				//alert(res);
				var res1=res.split('~');
				html='<option value="">Select Village</option>';
				for(i=1;i<res1.length;i++)
				{
					var ress=res1[i].split('=');
					html+="<option value="+ress[0]+">"+ress[1]+"</option>";
				}
				$('#village_id').html(html);
				//$('select').niceSelect('update');
				$('#village_id').val(pid);
				//get_villages('<?php //echo $vill; ?>');
			}
		});
}

